### Method

# Gtk PrintJob send

#### Declaration [src]

    void
    gtk_print_job_send (
      GtkPrintJob* job,
      GtkPrintJobCompleteFunc callback,
      gpointer user_data,
      GDestroyNotify dnotify
    )

#### Description [src]

Sends the print job off to the printer.

#### Parameters

`callback`

  Type: `GtkPrintJobCompleteFunc`

  Function to call when the job completes or an error occurs.

`user_data`

  Type: `gpointer`

  User data that gets passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`dnotify`

  Type: `GDestroyNotify`

  Destroy notify for `user_data`.